Skip to main content

Transfer Services

Resources​

  • /transfers
  • /bookings/\{bookingId\}/transfers

Methods​

  • GET
  • POST
  • PATCH

Summary of changes​

Booked transfers can no longer be fetched by requesting GET /transfers (this is reserved for fetching transfer product details and pricing) and instead are retrievable via GET /bookings/{bookingId}/transfers

Several field names have been updated. See response changes for a list of fields and their counterparts in the GET /bookings/{bookingId}/transfers endpoints of the Partner API

Several fields have been removed from the GET /bookings/{bookingId}/transfers response. See removed fields section for full details.

Request body changes​

Lists all request body parameters that can be set on a POST or PATCH to the transfer booking resource, and their corresponding parameters in the Partner API.

DescriptionPublic APIPartner APITypeNotes
Date, time and flight number* of any connecting flight where an airport transfer is** needed on arrival*** *Add details of *a connecting flight, so it can be tracked and the transfer can be organised for pick-up on the flight’s arrivalflightDate flightTime flightNumberflightDate flightTime flightNumberstringNo change
Customers *Set which customers on the booking will be *on this transfercustomers.href e.g. "href": "/bookings/5057124/customers/4945397"customers.id"customers": [ { "id": "string", } ]Retrieve the customer id from /bookings/{id}/customers
Transfer identifier** Set the unique ID of the transfer product you wish to bookproduct.href e.g. "href": "/products/91066"transferIdstringRetrieve the id from GET /transfers
External Reference Used to prevent duplicate entries by checking the external reference doesn’t already exist on the booking* component*externalReferenceexternalReferencestringNo change, cannot be updated

Request query parameter changes​

No query parameters are supported for booked transfers in both Public API and Partner API.

Response Changes​

DescriptionPublic APIPartner APIType
Booked transfer identifier** *Unique identifier for this transfer on a booking. Note: this is different from the transfer id retrieved from GET /*transfersididstring
Transfer booking resource link *Direct API endpoint reference to this *booked transferhrefhrefstring
Transfer name and reference Details of the transfer booking including name* and href to the original **transfer *product * *product.href accommodationName accommodationDisplayNameproduct.href transferName transferDisplayNamestring
Date, time and flight number of any connecting flight Any details added for a connecting flightflightDate flightTime flightNumberflightDate flightTime flightNumberstring
Transfer pick-up or drop-ff Indicates whether the transfer is for an airport pick-up or an airport drop-offairportPickup airportDropoffairportPickup airportDropoffstring
Days before booking is closed *How many days before the trip will *this transfer stop taking new bookingsbookingClosedbookingClosedinteger
Currency of the transfer on the booking Currency of the transfer should match the* overall booking currency***currencycurrencystring
Prices *Full details of the total transfer price and price after commission (e.g. net price) ** ***totalPrice netPricetotalPrice netPricedecimals
Complimentary transfers Indicates whether this transfer is complimentaryisComplimentaryTransferisComplimentaryTransferboolean
Booked customers Customer that are booked on this componentcustomers customerStatuses customerStatusIdscustomers customerStatuses customerStatusIds{ "customerStatusIds": [ { "customers": [ { "href": "/bookings/:bookingId/customers/:customerId", "optionExpiresAt": "string" } ], "status": "confirmed" } ], "customerStatuses": { "cancelled": 0, "confirmed": 1, "quote": 1 }, "customers": { "href": "/bookings/12345/customers" } }

Current request (deprecated)​

Booked transfers were embedded on the booking; there was no dedicated resource.

Updated request​

Booked transfers are now a distinct sub-resource with pickup/dropoff timing and per-customer pricing.

GET https://api.partners.intrepidtravel.cloud/bookings/{bookingId}/transfer-services

{
"id": "svc_1234",
"href": "/transfer-services/svc_1234",
"type": "TRANSFER",
"status": "Confirmed",
"booking": { "id": "booking_1234", "href": "/bookings/booking_1234" },
"customers": ["cust_001", "cust_002"],
"pricingSummary": {
"currency": "USD",
"amountBase": 1000,
"amountDiscounted": 100,
"amountTotal": 900,
"amountPaid": 900,
"amountOwing": 0
},
"cancellationPolicyRule": {
"id": "rule_1234",
"href": "/cancellation-policies/5678/rules/rule_1234"
}
}

Removed fields​

Removed FieldsPublic APINotesRelevant Field (if applicable)
Removedsequence
RemovedexternalReference